## org.eclipse.emf.ocl.parser
Class EcoreEnvironment.Access

    java.lang.Object
      org.eclipse.emf.ocl.parser.EcoreEnvironment.Access

Enclosing class:
  EcoreEnvironment

    public class EcoreEnvironment.Access

extends Object

Constructor Summary
`protected` `EcoreEnvironment.Access()`

Method Summary
`protected void` `setFactory(EnvironmentFactory factory)` Used by the `OCLHelper` compatibility implementation to set the factory of an Ecore environment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreEnvironment.Access

    protected EcoreEnvironment.Access()

Method Detail

### setFactory

    protected void setFactory(EnvironmentFactory factory)

  Used by the `OCLHelper` compatibility implementation to set the factory of an Ecore environment.

  Parameters:
    `factory` - the factory that was used to create the environment

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.